edu.isi.pegasus.planner.invocation

## Class Uname

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.MachineInfo
      - - edu.isi.pegasus.planner.invocation.Uname

All Implemented Interfaces:
  HasText, java.io.Serializable

    public class Uname
    extends MachineInfo
    implements HasText

The uname element.

Version:
  $Revision$
Author:
  Karan Vahi
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `ARCHMODE_ATTRIBUTE_KEY` The archmode attribute for the uname
`static java.lang.String` `ELEMENT_NAME` The element name
`static java.lang.String` `MACHINE_ATTRIBUTE_KEY` The release attribute for the uname
`private java.lang.StringBuffer` `mValue` The text value
`static java.lang.String` `NODENAME_ATTRIBUTE_KEY` The nodename attribute for the uname
`static java.lang.String` `RELEASE_ATTRIBUTE_KEY` The release attribute for the uname
`static java.lang.String` `SYSTEM_ATTRIBUTE_KEY` The system attribute for the uname
`static java.lang.String` `UNDEFINED_ARCHMODE_VALUE` The undefined value for archmode attribute.

### Fields inherited from class edu.isi.pegasus.planner.invocation.MachineInfo

`mAttributeMap`

### Constructor Summary

Constructors
Constructor and Description
`Uname()` The default constructor
`Uname(java.lang.String value)` Constructs a piece of data.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `appendValue(java.lang.String fragment)` Appends a piece of text to the existing text.
`java.lang.String` `getElementName()` Returns the name of the xml element corresponding to the object.
`java.lang.String` `getValue()` Accessor
`void` `setValue(java.lang.String value)` Accessor.
`Architecture` `toArchitecture()` An adapter method to convert the uname object to the architecture object.
`static Architecture` `unameToArchitecture(Uname uname)` An adapter method to convert the uname object to the architecture object.

### Methods inherited from class edu.isi.pegasus.planner.invocation.MachineInfo

`addAttribute, addAttributes, get, getAttributeKeysIterator, toString, toXML`

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

The element name

See Also:
  Constant Field Values

#### SYSTEM_ATTRIBUTE_KEY

    public static final java.lang.String SYSTEM_ATTRIBUTE_KEY

The system attribute for the uname

See Also:
  Constant Field Values

#### NODENAME_ATTRIBUTE_KEY

    public static final java.lang.String NODENAME_ATTRIBUTE_KEY

The nodename attribute for the uname

See Also:
  Constant Field Values

#### RELEASE_ATTRIBUTE_KEY

    public static final java.lang.String RELEASE_ATTRIBUTE_KEY

The release attribute for the uname

See Also:
  Constant Field Values

#### MACHINE_ATTRIBUTE_KEY

    public static final java.lang.String MACHINE_ATTRIBUTE_KEY

The release attribute for the uname

See Also:
  Constant Field Values

#### ARCHMODE_ATTRIBUTE_KEY

    public static final java.lang.String ARCHMODE_ATTRIBUTE_KEY

The archmode attribute for the uname

See Also:
  Constant Field Values

#### UNDEFINED_ARCHMODE_VALUE

    public static final java.lang.String UNDEFINED_ARCHMODE_VALUE

The undefined value for archmode attribute.

See Also:
  Constant Field Values

#### mValue

    private java.lang.StringBuffer mValue

The text value

### Constructor Detail

#### Uname

    public Uname()

The default constructor

#### Uname

    public Uname(java.lang.String value)

Constructs a piece of data.

Parameters:
  `value` - is the data to remember. The string may be empty, but it must not be `null`.
Throws:
  `java.lang.NullPointerException` - if the argument was null.

### Method Detail

#### unameToArchitecture

    public static Architecture unameToArchitecture(Uname uname)

An adapter method to convert the uname object to the architecture object.

Parameters:
  `uname` - the object to be converted
Returns:
  the converted `Architecture` object

#### getElementName

    public java.lang.String getElementName()

Returns the name of the xml element corresponding to the object.

Specified by:
  `getElementName` in class `MachineInfo`
Returns:
  name

#### appendValue

    public void appendValue(java.lang.String fragment)

Appends a piece of text to the existing text.

Specified by:
  `appendValue` in interface `HasText`
Parameters:
  `fragment` - is a piece of text to append to existing text. Appending `null` is a noop.

#### getValue

    public java.lang.String getValue()

Accessor

Specified by:
  `getValue` in interface `HasText`
See Also:
  `setValue(String)`

#### setValue

    public void setValue(java.lang.String value)

Accessor.

Specified by:
  `setValue` in interface `HasText`
Parameters:
  `value` - is the new value to set.
See Also:
  `getValue()`

#### toArchitecture

    public Architecture toArchitecture()

An adapter method to convert the uname object to the architecture object.

Returns:
  the converted `Architecture` object